Subject: Re: [bug#60756] [PATCH v2 1/2] services: Add x11-socket-directory-service-type.

From: Josselin Poiret <[email-masked]>
Date: Mon, 06 Mar 2023 14:16:21 +0100

This message wasn't cced to the ML, so here it is again (sorry)
FTR. This was in response to v2.

Hi Bruno,

Bruno Victal <[email-masked]> writes:

> The x11-socket-directory-service misuses activation-service-type
> to create directories. This kind of usage is incorrect since
> activation-service-type does not depend of file-systems and incompatible

Small typo: s/depend of/depend on/, that can be fixed by the committer.

> with user defined /tmp mount.
>
> This commit turns x11-socket-directory-service into a shepherd one-shot
> service by defining a new x11-socket-directory-service-type.
>
> * gnu/services/desktop.scm (x11-socket-directory-service-type): New variable.
> (x11-socket-directory-service): Deprecate variable.
> (desktop-services-for-system): Use new service-type.
> * gnu/tests/lightdm.scm: Use new service-type.

Looks good to me, tested it myself (note to self: don't forget
`-enable-kvm`).  Removing the tmpfs-specifc test is a good call here as
well.

Noting here that for the same reason as the test being useless, you
can't test this patchset properly with `guix system vm`, since the
file-systems get overridden.  I tested it with `guix system image`
instead, which only overrides the root and esp file systems if present.

Best,
-- 
Josselin Poiret